$(document).ready(function(){    
    var firstStateMenu=$("#leftMenu").css('display');
    if(firstStateMenu=='none'){
        $("#leftMenu").on('mouseleave',function(){$(this).hide('slow');$("#showMenuButton").show('slow');});
    }
    
    $("#leftMenu > a").on('click',function(){
        $("#leftMenu > a").removeClass('selected');
        $("#leftMenu > a").addClass('unselected');
        $(this).removeClass('unselected');
        $(this).addClass('selected');
        if($(this).attr('href')==""){
            $(".leftMenu2[id!='2"+$(this).attr('id')+"']").hide();
            $("#2"+$(this).attr('id')).slideDown();
            return false;
        }
        $(".leftMenu2").hide();
        return true;
    });
    $(".leftMenu2 > a").on('click',function(){
        $(".leftMenu2 > a").removeClass('selected');
        $(".leftMenu2 > a").addClass('unselected');
        $(this).removeClass('unselected');
        $(this).addClass('unselected');
        if($(this).attr('href')==""){
             $(".leftMenu3[id!='3"+$(this).attr('id')+"']").hide();
            $("#3"+$(this).attr('id')).show();
            return false;
        }
        $(".leftMenu3").hide();
        return true;
    });
    $("#showMenuButton").on('click',function(){
        $("#leftMenuBlock").toggle("slow");
        return false;
    });
    
    /*раскрывание меню при нахождении в разделе*/
    $("#leftMenu a[href='"+$("#currUrl").html()+"']").each(function(){
        $(this).parents("div").css('display','block');
         $(this).removeClass("unselected");
        $(this).addClass("selected");
    });
});


